Index: trunk/src/view_field.m
===================================================================
--- trunk/src/view_field.m	(revision 67)
+++ trunk/src/view_field.m	(revision 71)
@@ -2344,5 +2344,6 @@
 global CurData
 huvmat=findobj(allchild(0),'Name','uvmat');
-CurData=get(huvmat,'UserData');
+UvData=get(huvmat,'UserData');
+CurData=UvData.ProjField_2;
 evalin('base','global CurData')%make CurData global in the workspace
 display(['UserData of view_field :'])
@@ -2471,52 +2472,64 @@
 
 
-% --- Executes during object creation, after setting all properties.
-function colcode1_CreateFcn(hObject, eventdata, handles)
-% hObject    handle to colcode1 (see GCBO)
+
+% --- Executes on button press in checkbox42.
+function checkbox42_Callback(hObject, eventdata, handles)
+% hObject    handle to checkbox42 (see GCBO)
 % eventdata  reserved - to be defined in a future version of MATLAB
-% handles    empty - handles not created until after all CreateFcns called
-
-% Hint: edit controls usually have a white background on Windows.
-%       See ISPC and COMPUTER.
-if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
-    set(hObject,'BackgroundColor','white');
-end
-
-
-% --- Executes during object creation, after setting all properties.
-function slider2_CreateFcn(hObject, eventdata, handles)
-% hObject    handle to slider2 (see GCBO)
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hint: get(hObject,'Value') returns toggle state of checkbox42
+
+
+% --- Executes on button press in checkbox43.
+function checkbox43_Callback(hObject, eventdata, handles)
+% hObject    handle to checkbox43 (see GCBO)
 % eventdata  reserved - to be defined in a future version of MATLAB
-% handles    empty - handles not created until after all CreateFcns called
-
-% Hint: slider controls usually have a light gray background.
-if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
-    set(hObject,'BackgroundColor',[.9 .9 .9]);
-end
-
-
-% --- Executes during object creation, after setting all properties.
-function slider1_CreateFcn(hObject, eventdata, handles)
-% hObject    handle to slider1 (see GCBO)
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hint: get(hObject,'Value') returns toggle state of checkbox43
+
+
+% --- Executes on button press in checkbox44.
+function checkbox44_Callback(hObject, eventdata, handles)
+% hObject    handle to checkbox44 (see GCBO)
 % eventdata  reserved - to be defined in a future version of MATLAB
-% handles    empty - handles not created until after all CreateFcns called
-
-% Hint: slider controls usually have a light gray background.
-if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
-    set(hObject,'BackgroundColor',[.9 .9 .9]);
-end
-
-
-% --- Executes during object creation, after setting all properties.
-function colcode2_CreateFcn(hObject, eventdata, handles)
-% hObject    handle to colcode2 (see GCBO)
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hint: get(hObject,'Value') returns toggle state of checkbox44
+
+
+% --- Executes on selection change in popupmenu18.
+function popupmenu18_Callback(hObject, eventdata, handles)
+
+
+function edit91_Callback(hObject, eventdata, handles)
+% hObject    handle to edit91 (see GCBO)
 % eventdata  reserved - to be defined in a future version of MATLAB
-% handles    empty - handles not created until after all CreateFcns called
-
-% Hint: edit controls usually have a white background on Windows.
-%       See ISPC and COMPUTER.
-if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
-    set(hObject,'BackgroundColor','white');
-end
-
-
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hints: get(hObject,'String') returns contents of edit91 as text
+%        str2double(get(hObject,'String')) returns contents of edit91 as a double
+
+
+% --- Executes on button press in checkbox45.
+function checkbox45_Callback(hObject, eventdata, handles)
+% hObject    handle to checkbox45 (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hint: get(hObject,'Value') returns toggle state of checkbox45
+
+
+% --- Executes on selection change in popupmenu19.
+function popupmenu19_Callback(hObject, eventdata, handles)
+% hObject    handle to popupmenu19 (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hints: contents = get(hObject,'String') returns popupmenu19 contents as cell array
+%        contents{get(hObject,'Value')} returns selected item from popupmenu19
+
+
+
+
